<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 12/6/2018
 * Time: 2:51 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idAdministrador']) && isset($_REQUEST['estado'])) {
            $estado = $_REQUEST['estado'];
            $administradorId = $_REQUEST['idAdministrador'];
            $usuario = R::load('usuario', $administradorId);
            $usuario->fechaModificacion = date('Y-m-d H:i:s');
            $usuario->estado = $estado;
            $id = R::store($usuario);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}